Bug 334771 - /usr/lib/pkgconfig folder should be owned by gtk2-engines package
/usr/lib/pkgconfig folder should be owned by gtk2-engines package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk2-engines (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 12:45 EDT by petrosyan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 14:07:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2007-10-16 12:45:39 EDT
Description of problem:
/usr/lib/pkgconfig folder should be owned by gtk2-engines package

Version-Release number of selected component (if applicable):
gtk2-engines-2.12.2-1.fc8

Steps to Reproduce:
1. rpm -qf /usr/lib/pkgconfig
2. rpm -qf /usr/lib/pkgconfig/gtk-engines-2.pc
Comment 1 Matthias Clasen 2007-10-16 14:07:58 EDT
no.

/usr/lib/pkgconfig is owned by (surprise !) pkgconfig, and gtk2-engines requires it.
Comment 2 petrosyan 2007-10-16 20:09:25 EDT
I figured out what my problem was. I had gtk2-engines-2.12.2-1.fc8.i386 and
gtk2-engines-2.12.2-1.fc8.x86_64 installed on a 64 bit machine and only
pkgconfig-0.22-3.fc8.x86_64

so I had /usr/lib64/pkgconfig but not /usr/lib/pkgconfig.
do you know why I have two different versions of gtk2-engines? this is a
standard Fedora 8 Test 3 install with all the updates. Should I remove the i386 one?

Note You need to log in before you can comment on or make changes to this bug.